Name: readahead
Version: 1.4.4
Release: alt1.1

Packager: Victor Forsyuk <force@altlinux.org>

Summary: Read a preset list of files into memory
License: GPLv2+
Group: System/Configuration/Boot and Init

Url: http://fedorahosted.org/readahead/
Source: http://people.redhat.com/kzak/readahead/v1.4/readahead-%version.tar.bz2
Source1: readahead_early.init
Source2: readahead_later.init
Patch0: readahead-1.4.5-audit_reply_list.patch

# Automatically added by buildreq on Mon Sep 29 2008
BuildRequires: libaudit-devel >= 1.7.9 libe2fs-devel

%description
readahead reads the contents of a list of files into memory, which causes them
to be read from cache when they are actually needed. Its goal is to speed up the
boot process.

%prep
%setup
%patch0 -p1

%build
install -p %_sourcedir/readahead_early.init scripts/readahead_early
install -p %_sourcedir/readahead_later.init scripts/readahead_later

%configure --sbindir=/sbin
%make_build
# To convert list from arch independent to arch specific format.
# Commented for now as default lists does not need this rebuild.
#%make rpm-lists-rebuild RPM_LIB="%_lib" RPM_ARCH="%_arch" FILES="default.early default.later"

%install
%make_install install DESTDIR=%buildroot

%find_lang %name

%post
%post_service readahead_early
%post_service readahead_later

%preun
%preun_service readahead_early
%preun_service readahead_later

%files -f %name.lang
%config(noreplace) %_sysconfdir/readahead.conf
%dir %_sysconfdir/readahead.d
%config %_sysconfdir/readahead.d/*
%_sysconfdir/cron.daily/*
%_initdir/*
/sbin/*
%_sbindir/*

%changelog
* Fri Dec 12 2008 Anton Farygin <rider@altlinux.ru> 1.4.4-alt1.1
- NMU: fixed build with libaudit-1.7.9

* Mon Sep 29 2008 Victor Forsyuk <force@altlinux.org> 1.4.4-alt1
- Initial build.
